Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.timer
Class TimerServiceRegistry

    java.lang.Object
      org.jbpm.process.core.timer.TimerServiceRegistry

    public class TimerServiceRegistry

extends Object

Simple TimerService registry used for single point registration of `TimerService` instances used by sessions. Registry is intended to be used at the application startup to register all required TimerServices so it can start operate as soon as it is active even if the session are not yet active.

Constructor Summary
`TimerServiceRegistry()`

Method Summary
`org.drools.core.time.TimerService` | `get(String id)` Returns TimerService instance registered under given key
`static TimerServiceRegistry` | `getInstance()`
`void` | `registerTimerService(String id, org.drools.core.time.TimerService timerService)` Registers timerServie under given id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerServiceRegistry

    public TimerServiceRegistry()

Method Detail

### getInstance

    public static TimerServiceRegistry getInstance()

### registerTimerService

    public void registerTimerService(String id,
                                     org.drools.core.time.TimerService timerService)

  Registers timerServie under given id. In case timer service is already registered with this id it will be overridden.

  Parameters:
    `id` - key used to get hold of the timer service instance
    `timerService` - fully initialized TimerService instance

### get

    public org.drools.core.time.TimerService get(String id)

  Returns TimerService instance registered under given key

  Parameters:
    `id` - timer service identifier
  Returns:
    returns timer service instance or null of there was none registered with given id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.